devguard
Organization chart

Create or update the organization chart.

PUT
/organization-chart/

Authorization

Authorization
AuthorizationBearer <token>

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X PUT "https://example.com/organization-chart/" \  -H "Content-Type: application/json" \  -d '{    "organizationId": "string",    "nodes": [      {        "id": "string",        "type": "person",        "position": {          "x": 0,          "y": 0        },        "data": {}      }    ],    "edges": [      {        "id": "string",        "source": "string",        "target": "string"      }    ]  }'
{
  "success": true,
  "updatedAt": "string"
}
{
  "code": "BAD_REQUEST",
  "message": "Invalid input data",
  "issues": []
}
{
  "code": "UNAUTHORIZED",
  "message": "Authorization not provided",
  "issues": []
}
{
  "code": "FORBIDDEN",
  "message": "Insufficient access",
  "issues": []
}
{
  "code": "NOT_FOUND",
  "message": "Not found",
  "issues": []
}
{
  "code": "INTERNAL_SERVER_ERROR",
  "message": "Internal server error",
  "issues": []
}

How is this guide?